#
# spec file for package bladeRF
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013-2015 Wojciech Kazubski, wk@ire.pw.edu.pl
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 1
%define libname lib%{name}%{sover}
%define release_name 2016.06
%define bladerf_group bladerf
%define use_syslog 0
Name:           bladeRF
Version:        1.4.0
Release:        3.1
Summary:        SDR radio receiver
License:        GPL-2.0
Group:          Productivity/Hamradio/Other
Url:            http://nuand.com/
#Git-Clone:     https://github.com/Nuand/bladeRF.git
Source:         https://github.com/Nuand/bladeRF/archive/%{release_name}.tar.gz#/%{name}-%{release_name}.tar.xz
# PATCH-FIX-OPENSUSE bladeRF-add-cflag-Wno-format-truncation.patch boo#1041192
Patch0:         bladeRF-add-cflag-Wno-format-truncation.patch
BuildRequires:  cmake >= 2.8.4
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  git-core
BuildRequires:  help2man
BuildRequires:  pkgconfig
BuildRequires:  tecla-devel
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(udev)

%description
The software for bladeRF USB 3.0 Superspeed Software Defined Radio.

%package -n %{libname}
Version:        1.7.2
Release:        3.1
Summary:        Library for bladeRF
Group:          System/Libraries
Requires:       %{name}-udev

%description -n %{libname}
Library for bladeRF, SDR transceiver.

%package udev
Summary:        Udev rules for bladeRF
Group:          Hardware/Other
Requires(pre):  shadow

%description udev
Udev rules for bladeRF

%package devel
Summary:        Development files for libbladeRF
Group:          Development/Libraries/Other
Requires:       %{libname} = %{version}

%description devel
Libraries and header files for developing applications that want to make
use of libbladerf.

%prep
%setup -q -n %{name}-%{release_name}
%patch0 -p1

%build
cd host
%cmake \
  -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
  -DUDEV_RULES_PATH=%{_udevrulesdir} \
  -DBLADERF_GROUP=%{bladerf_group} \
  -DBUILD_DOCUMENTATION=YES \
%if 0%{?use_syslog}
  -DENABLE_LIBBLADERF_SYSLOG=ON \
%endif
  -DBUILD_DOCUMENTATION=ON

make %{?_smp_mflags}

%install
cd host
%cmake_install

%post -n %{libname} -p /sbin/ldconfig
%postun  -n %{libname} -p /sbin/ldconfig

%pre udev
getent group %{bladerf_group} >/dev/null || groupadd -r %{bladerf_group} 

%post udev
%udev_rules_update

%postun udev
%udev_rules_update

%files
%defattr(-,root,root)
%doc README.md COPYING CONTRIBUTORS
%{_bindir}/bladeRF-cli
%{_mandir}/man1/bladeRF-cli.1%{ext_man}

%files udev
%defattr(-,root,root)
%{_udevrulesdir}/88-nuand.rules

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libbladeRF.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libbladeRF.so
%{_includedir}/libbladeRF.h
%{_libdir}/pkgconfig/libbladeRF.pc

%changelog
* Thu Jun  1 2017 mardnh@gmx.de
- Add patch:
  * bladeRF-add-cflag-Wno-format-truncation.patch (boo#1041192)
* Wed Apr 26 2017 mardnh@gmx.de
- build with support for libtecla
* Sun Apr 23 2017 mardnh@gmx.de
- Update group handling
* Thu Apr 20 2017 mpluskal@suse.com
- Update group handling
* Sat Apr 15 2017 mardnh@gmx.de
- Workaround for generating manpages/documentation on
  systems emulated via qemu (arm, ppc,...) not longer needed
* Sat Apr 15 2017 mardnh@gmx.de
- Adjust Source-URL
- Use proper cmake options
- Use group bladerf in the udev-rules
* Thu Mar 30 2017 wk@ire.pw.edu.pl
- fixed libbladeRF version to 1.7.2
* Thu Mar 23 2017 jengelh@inai.de
- Rename %%soname to %%sover to better reflect its use.
- RPM group fix.
* Thu Mar  9 2017 mpluskal@suse.com
- Update to version 1.4.0
- Cleanup spec file with spec-cleaner
* Fri Feb 19 2016 dl8fcl@t-online.de
- udev_rules_update added for openSUSE
* Sat Aug  1 2015 wk@ire.pw.edu.pl
- updated to release 2015.07
- libbladeRF version 1.4.3
- bladeRF-cli version 1.2.1
* Tue Mar  3 2015 wk@ire.pw.edu.pl
- fixed build on armv7l (openSUSE 13.2)
* Sun Mar  1 2015 wk@ire.pw.edu.pl
- updated to release 2015.02
- libbladeRF version 1.2.1
- bladeRF-cli version 1.1.2
* Sun Aug  3 2014 wk@ire.pw.edu.pl
- updated to git 20140803
* Fri Jul 25 2014 wk@ire.pw.edu.pl
- version 0.16.2 git20140725
* Sun Oct  6 2013 Wojciech Kazubski <wk@ire.pw.edu.pl> - 0.0.20130915-1.1
- git 20130915
- initial spec file.
